# OpalStatusIncomingCall Struct Reference

`#include <opal.h>`

List of all members.

## Public Attributes

const char * | m_callToken
| Call token for new call.
const char * | m_localAddress
| URL of local interface. e.g. "sip:me@here.com".
const char * | m_remoteAddress
| URL of calling party. e.g. "sip:them@there.com".
const char * | m_remotePartyNumber
| This is the E.164 number of the caller, if available.
const char * | m_remoteDisplayName
| Display name calling party. e.g. "Fred Nurk".
const char * | m_calledAddress
| URL of called party the remote is trying to contact.
const char * | m_calledPartyNumber
| This is the E.164 number of the called party, if available.
OpalProductDescription | m_product

## Detailed Description

Incoming call information for the OpalIndIncomingCall indication. This is only returned from the OpalGetMessage() function.

## Member Data Documentation

const char* OpalStatusIncomingCall::m_callToken

Call token for new call.

const char* OpalStatusIncomingCall::m_localAddress

URL of local interface. e.g. "sip:me@here.com".

const char* OpalStatusIncomingCall::m_remoteAddress

URL of calling party. e.g. "sip:them@there.com".

const char* OpalStatusIncomingCall::m_remotePartyNumber

This is the E.164 number of the caller, if available.

const char* OpalStatusIncomingCall::m_remoteDisplayName

Display name calling party. e.g. "Fred Nurk".

const char* OpalStatusIncomingCall::m_calledAddress

URL of called party the remote is trying to contact.

const char* OpalStatusIncomingCall::m_calledPartyNumber

This is the E.164 number of the called party, if available.

OpalProductDescription OpalStatusIncomingCall::m_product

Product description data

The documentation for this struct was generated from the following file:

- opal.h